LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices

Reply
 
Search this Thread
Old 08-07-2004, 10:48 PM   #1
Intrus
LQ Newbie
 
Registered: Aug 2004
Posts: 4

Rep: Reputation: 0
Angry Installing KDE 3.2.3 w/konstruct gives Qt lib error while compiling...


k. I got Mandrake 9.2 after switching over like 8 diff distros to try to get my Pctel AC97 Dell Inspiron 1100 modem to work .. lol, yeah it was a big prob to get that baby working..

Anyways, finally i got it working with mandrake 9.2 kernel 2.4.22, kde 3.1..

well, i was happy so i decided to upgrade to KDE 3.2.3, i downloaded konstruct and i did a

Code:
cd /home/user/konstruct/meta/everything
then executed the

Code:
make install
..... that took quite some time (it downloaded and compiled everything)
never finished thought ..

It started checking then when it got to

Code:
Checking for Qt...
i got the error!!

Code:
configure: error: Qt (>= Qt 3.2) (library qt-mt) not found. Please check your installation.   For more details about this problem, look at the end of config.log    Make sure that you have compiled Qt with thread support!
I did compile it with thread support.. i downloaded qt-x11-free-3.3.2.tar.gz and did this

Code:
./configure -thread
then i executed the

Code:
make
after that finish (which also took quite some time lol)
i went back to konstruct and tried the 'make install' again.. still got the missing lib files or whatver that error is..

Guys.. i been trying this over and been looking around and still cant fix this.. any way to fix this any more info just ask..

thanks dudes appreciate the help..
 
Old 08-08-2004, 02:39 AM   #2
320mb
Senior Member
 
Registered: Nov 2002
Location: pikes peak
Distribution: Slackware, LFS
Posts: 2,577

Rep: Reputation: 47
enter this before compiling KDE again.........

Code:
export QTDIR=/opt/qt
qt should be a symlink to /opt/qt<version>
 
Old 08-08-2004, 12:08 PM   #3
Intrus
LQ Newbie
 
Registered: Aug 2004
Posts: 4

Original Poster
Rep: Reputation: 0
320mb thanks for ur reply bud.. I got soo pissed i just installed Slackware 10 (im very familiar with slack) even though its real hard , i learn more and i kinda do things better there for some reason lol..

Anyways , thank u bro.. appreciate the help..
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Errors compiling KDE 3.2.1 usign konstruct kAmnesiac Slackware 3 02-22-2008 10:53 AM
installing KDE 3.3.1 with konstruct NeoAndersn007 Linux - Software 5 11-09-2004 05:42 PM
problem compiling kde using konstruct the_loser Linux - Software 4 04-26-2004 11:27 AM
KDE 3.1.2 Install Error (With Konstruct) and Visual Desktop Error KneeLess Linux - Software 0 06-04-2003 03:41 PM
ERROR : while installing kde 3.1 w/ konstruct n00bster Linux - General 3 03-04-2003 04:59 PM


All times are GMT -5. The time now is 06:23 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration